# Generated by Django 2.0.5 on 2018-05-19 09:34

import django.db.models.deletion
from django.db import migrations, models

import demands.models


class Migration(migrations.Migration):

    dependencies = [
        ('demands', '0029_auto_20180519_1109'),
    ]

    operations = [
        migrations.CreateModel(
            name='ApplicationDocument',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to=demands.models.user_directory_path, verbose_name='fichier')),
                ('details', models.TextField(blank=True, verbose_name='détails')),
                ('application', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='application_documents', to='demands.Application', verbose_name='demande')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='application_documents', to='demands.ApplicationDocumentType', verbose_name='type de document')),
            ],
            options={
                'verbose_name': 'document',
                'verbose_name_plural': 'documents',
            },
        ),
        migrations.RemoveField(
            model_name='requestfordocument',
            name='application',
        ),
        migrations.RemoveField(
            model_name='requestfordocument',
            name='enquirer',
        ),
        migrations.RemoveField(
            model_name='requestfordocument',
            name='type',
        ),
        migrations.RemoveField(
            model_name='requestfordocumenttype',
            name='default_enquirer',
        ),
        migrations.RemoveField(
            model_name='requestfordocumenttype',
            name='type',
        ),
        migrations.RemoveField(
            model_name='applicationtype',
            name='default_requests_for_document_types',
        ),
        migrations.DeleteModel(
            name='RequestForDocument',
        ),
        migrations.DeleteModel(
            name='RequestForDocumentType',
        ),
    ]
